CREATE TABLE  CDM_Stg_Product_Master  (
   Rec_Id  bigint(20) NOT NULL AUTO_INCREMENT,
   Rec_Is_Processed  tinyint(4) NOT NULL DEFAULT -1,
   Product_Id  bigint(20) NOT NULL DEFAULT -1,
   LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Product_Key  varchar(128) NOT NULL DEFAULT '',
   Is_Active  varchar(128) NOT NULL DEFAULT '',
   Is_Private_Label  varchar(128) NOT NULL DEFAULT '',
   Is_Premium  varchar(128) NOT NULL DEFAULT '',
   Unit_Price  decimal(15,2) NOT NULL DEFAULT -1.00,
   Brand_Id  bigint(20) NOT NULL DEFAULT -1,
   Div_Id  bigint(20) NOT NULL DEFAULT -1,
   Dep_Id  bigint(20) NOT NULL DEFAULT -1,
   Cat_Id  bigint(20) NOT NULL DEFAULT -1,
   Season_Id  bigint(20) NOT NULL DEFAULT -1,
   BU_Id  bigint(20) NOT NULL DEFAULT -1,
   Section_Id  bigint(20) NOT NULL DEFAULT -1,
   Manuf_Id  bigint(20) NOT NULL DEFAULT -1,
   Brand_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Div_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Dep_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cat_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Season_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   BU_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Section_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Manuf_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Launch_Date  date DEFAULT NULL,
   Expiry_Date  date DEFAULT NULL,
   Brand_Key  varchar(128) NOT NULL DEFAULT '',
   Div_Key  varchar(128) NOT NULL DEFAULT '',
   Dep_Key  varchar(128) NOT NULL DEFAULT '',
   Cat_Key  varchar(128) NOT NULL DEFAULT '',
   Season_Key  varchar(128) NOT NULL DEFAULT '',
   BU_Key  varchar(128) NOT NULL DEFAULT '',
   Section_Key  varchar(128) NOT NULL DEFAULT '',
   Manuf_Key  varchar(128) NOT NULL DEFAULT '',
   Brand_Name  varchar(128) NOT NULL DEFAULT '',
   Div_Name  varchar(128) NOT NULL DEFAULT '',
   Dep_Name  varchar(128) NOT NULL DEFAULT '',
   Cat_Name  varchar(128) NOT NULL DEFAULT '',
   Season_Name  varchar(128) NOT NULL DEFAULT '',
   BU_Name  varchar(128) NOT NULL DEFAULT '',
   Section_Name  varchar(128) NOT NULL DEFAULT '',
   Manuf_Name  varchar(128) NOT NULL DEFAULT '',
   Uom  varchar(128) NOT NULL DEFAULT '',
   Tax_Category  varchar(128) NOT NULL DEFAULT '',
   Product_Name  varchar(128) NOT NULL DEFAULT '',
   Product_Desc  varchar(128) NOT NULL DEFAULT '',
   Product_Comm_Name  varchar(128) NOT NULL DEFAULT '',
   Comp_Key  varchar(128) NOT NULL DEFAULT '',
   Up_Sell_Key  varchar(128) NOT NULL DEFAULT '',
   Cross_Sell_Key  varchar(128) NOT NULL DEFAULT '',
   Comp_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Up_Sell_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cross_Sell_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   To_Be_Excluded  varchar(128) NOT NULL DEFAULT '',
   Is_Combo  varchar(128) NOT NULL DEFAULT '',
   Is_Ingredient  varchar(128) NOT NULL DEFAULT '',
   Festival_During_Launch  varchar(128) NOT NULL DEFAULT '',
   Festival_Id_During_Launch  smallint(6) NOT NULL DEFAULT -1,
   Brand_Event_During_Launch  varchar(128) NOT NULL DEFAULT '',
   Brand_Event_Id_During_Launch  smallint(6) NOT NULL DEFAULT -1,
   Fabric_Base  varchar(128) NOT NULL DEFAULT '',
   Fit  varchar(128) NOT NULL DEFAULT '',
   Design  varchar(128) NOT NULL DEFAULT '',
   Colour  varchar(128) NOT NULL DEFAULT '',
   Replenish_Days  bigint(10) DEFAULT -1,
   Custom_Attrib  longtext DEFAULT NULL,
   Custom_Tag1_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag2_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag3_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag4_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag5_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Custom_Tag6_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag7_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag8_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag9_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag10_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag11_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag12_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag13_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag14_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag15_LOV_Id  bigint(20) DEFAULT -1,
   Custom_Tag1  varchar(1000) DEFAULT NULL,
   Custom_Tag2  varchar(1000) DEFAULT NULL,
   Custom_Tag3  varchar(1000) DEFAULT NULL,
   Custom_Tag4  varchar(1000) DEFAULT NULL,
   Custom_Tag5  varchar(1000) DEFAULT NULL,
   Custom_Tag6  varchar(1000) DEFAULT NULL,
   Custom_Tag7  varchar(1000) DEFAULT NULL,
   Custom_Tag8  varchar(1000) DEFAULT NULL,
   Custom_Tag9  varchar(1000) DEFAULT NULL,
   Custom_Tag10  varchar(1000) DEFAULT NULL,
   Custom_Tag11  varchar(1000) DEFAULT NULL,
   Custom_Tag12  varchar(1000) DEFAULT NULL,
   Custom_Tag13  varchar(1000) DEFAULT NULL,
   Custom_Tag14  varchar(1000) DEFAULT NULL,
   Custom_Tag15  varchar(1000) DEFAULT NULL,
   Created_Date  timestamp NOT NULL DEFAULT current_timestamp(),
   Modified_Date  timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
   Product_Genome  varchar(512) NOT NULL DEFAULT '',
   Product_Genome_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Associated_Age  int(10) DEFAULT NULL,
   Bottom_Cut  varchar(1000) DEFAULT NULL,
   Sleeve  varchar(1000) DEFAULT NULL,
   Collar  varchar(1000) DEFAULT NULL,
   Collar_Top_Button  varchar(1000) DEFAULT NULL,
   Collar_Stiffness  varchar(128) NOT NULL DEFAULT '',
   Collar_Contrast_Type  varchar(128) NOT NULL DEFAULT '',
   Collar_Piping_Type  text NOT NULL DEFAULT '',
   Cuffs  text NOT NULL DEFAULT '',
   Cuffs_Shape  text NOT NULL DEFAULT '',
   Cuffs_Stiffness  text NOT NULL DEFAULT '',
   Cuffs_Contrast_Type  text NOT NULL DEFAULT '',
   Cuffs_Piping_Type  text NOT NULL DEFAULT '',
   Button  text NOT NULL DEFAULT '',
   Thread_Color  text NOT NULL DEFAULT '',
   Pocket_Placement  text NOT NULL DEFAULT '',
   Pocket_Contrast_Type  text NOT NULL DEFAULT '',
   Placket  text NOT NULL DEFAULT '',
   Placket_Contrast_Type  text NOT NULL DEFAULT '',
   Placket_Piping_Type  text NOT NULL DEFAULT '',
   Epaulette  text NOT NULL DEFAULT '',
   Collar_Piping_Twill_Tape  text NOT NULL DEFAULT '',
   Pocket_Contrast_Leather  text NOT NULL DEFAULT '',
   Pocket_Contrast_Suede  text NOT NULL DEFAULT '',
   Cuffs_Piping_Twill_Tape  text NOT NULL DEFAULT '',
   Placket_Button  text NOT NULL DEFAULT '',
   Placket_Piping_Twill_Tape  text NOT NULL DEFAULT '',
   Epaulette_Contrast_Leather  text NOT NULL DEFAULT '',
   Epaulette_Contrast_Suede  text NOT NULL DEFAULT '',
   Elbow_Patch  text NOT NULL DEFAULT '',
   Elbow_Patch_Contrast_Leather  text NOT NULL DEFAULT '',
   Elbow_Patch_Contrast_Suede  text NOT NULL DEFAULT '',
   Back  text NOT NULL DEFAULT '',
   Monogram  text NOT NULL DEFAULT '',
   Monogram_Color  text NOT NULL DEFAULT '',
   Gusset  text NOT NULL DEFAULT '',
   Gusset_Contrast_Leather  text NOT NULL DEFAULT '',
   Gusset_Contrast_Suede  text NOT NULL DEFAULT '',
   Fabric_Base_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Fit_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Design_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Colour_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Bottom_Cut_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Sleeve_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_Top_Button_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_Stiffness_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_Contrast_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_Piping_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_Shape_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_Stiffness_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_Contrast_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_Piping_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Button_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Thread_Color_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Pocket_Placement_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Pocket_Contrast_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Placket_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Placket_Contrast_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Placket_Piping_Type_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Epaulette_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Collar_Piping_Twill_Tape_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Pocket_Contrast_Leather_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Pocket_Contrast_Suede_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Cuffs_Piping_Twill_Tape_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Placket_Button_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Placket_Piping_Twill_Tape_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Epaulette_Contrast_Leather_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Epaulette_Contrast_Suede_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Elbow_Patch_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Elbow_Patch_Contrast_Leather_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Elbow_Patch_Contrast_Suede_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Back_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Monogram_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Monogram_Color_LOV_Id  bigint(20) NOT NULL DEFAULT -1,
   Gusset_LOV_ID  bigint(20) NOT NULL DEFAULT -1,
   Gusset_Contrast_Leather_LOV_ID  bigint(20) NOT NULL DEFAULT -1,
   Gusset_Contrast_Suede_LOV_ID  bigint(20) NOT NULL DEFAULT -1,
   Product_URL  varchar(128) DEFAULT '-1',
  PRIMARY KEY ( Rec_Id ),
  KEY  Associated_Age  ( Associated_Age ),
  KEY  Product_Genome  ( Product_Genome ),
  KEY  Product_Id  ( Product_Id ),
  KEY  Product_Key  ( Product_Key ),
  KEY  Brand_Key  ( Brand_Key ),
  KEY  Div_Key  ( Div_Key ),
  KEY  Dep_Key  ( Dep_Key ),
  KEY  Cat_Key  ( Cat_Key ),
  KEY  Season_Key  ( Season_Key ),
  KEY  BU_Key  ( BU_Key ),
  KEY  Section_Key  ( Section_Key ),
  KEY  Manuf_Key  ( Manuf_Key ),
  KEY  Comp_Key  ( Comp_Key ),
  KEY  Up_Sell_Key  ( Up_Sell_Key ),
  KEY  Cross_Sell_Key  ( Cross_Sell_Key ),
  KEY  Custom_Tag1  ( Custom_Tag1 ),
  KEY  Custom_Tag2  ( Custom_Tag2 ),
  KEY  Custom_Tag3  ( Custom_Tag3 ),
  KEY  Custom_Tag4  ( Custom_Tag4 ),
  KEY  Custom_Tag5  ( Custom_Tag5 ),
  KEY  Rec_Is_Processed  ( Rec_Is_Processed ),
  KEY  Modified_Date  ( Modified_Date ),
  KEY  Custom_Tag6  ( Custom_Tag6 ),
  KEY  Custom_Tag7  ( Custom_Tag7 ),
  KEY  Custom_Tag8  ( Custom_Tag8 ),
  KEY  Custom_Tag9  ( Custom_Tag9 ),
  KEY  Custom_Tag10  ( Custom_Tag10 ),
  KEY  Custom_Tag11  ( Custom_Tag11 ),
  KEY  Custom_Tag12  ( Custom_Tag12 ),
  KEY  Custom_Tag13  ( Custom_Tag13 ),
  KEY  Custom_Tag14  ( Custom_Tag14 ),
  KEY  Custom_Tag15  ( Custom_Tag15 )
) ENGINE=InnoDB AUTO_INCREMENT=128 DEFAULT CHARSET=latin1;
